#!/bin/bash


# Show specific help information dependent on the argument specified
case $1 in
    full)
        ./configure --help
        ;;
    speed)
        cat <<EOF
'autogen.sh' configures LibreOffice 3.6 to adapt to many kinds of systems.

There are a number of optiions which usually improve build speed.
Of course by disabling more code, you loose functionality.

  --with-num-cpus         Number of build processes/cpus to use (number of
                          projects that will build at the same time).
                          Multi-process/multi-cpu builds can save a lot of
                          time on multi-cpu machines. Defaults to the number
                          of CPUs on the machine.
  --with-max-jobs         Maximum number of jobs that will be issued at the
                          same time per dmake or gbuild subproject. The real
                          number of the jobs is affected by the
                          --with-num-cpus too, it can get up to CPUS*max_jobs.
                          Defaults to 1, unless you configure
                          --enable-icecream - then to 10.
  --enable-icecream       Use the 'icecream' distributed compiling tool to
                          speedup the compilation. It defaults to
                          /opt/icecream for the location of the icecream
                          gcc/g++ wrappers, you can override that using
                          --with-gcc-home=/the/path switch.

There are other ways to improve speed also. Take a look into:

  distcc                  A distributed C/C++/ObjC compiler with distcc-pump
                          extensions.
  ccache                  ccache is a compiler cache. It speeds up
                          re-compilation of C/C++ code by caching previous
                          compiles and detecting when the same compile is
                          being done again. If installed, autogen will detect
                          and use it automatically.

Also, it's quicker to compile less code. Useful options include:

  --disable-mozilla       LibreOffice usually includes a strangely hacked up
                          Mozilla binary for your platform, to build without
                          this version, use this option.
  --without-java          Disable Java components

See also: <http://wiki.documentfoundation.org/Development/Native_Build>
EOF
        ;;
    *)
        cat <<EOF
'autogen.sh' configures LibreOffice 3.6 to adapt to many kinds of systems.

Usage: ./autogen.sh [OPTION]... [VAR=VALUE]...

There are many options available; this help is split into a few sections.

  full        List all build options.
  speed       Hints to improve building speed.

See also: <http://wiki.documentfoundation.org/Development/Native_Build>
EOF
        ;;
esac
